local function HideBorder(frame)
frame.borderFrame:Hide()
end
hooksecurefunc("CompactRaidGroup_UpdateBorder",  HideBorder)
hooksecurefunc("CompactRaidGroup_UpdateBorder",  HideBorder)
-- /run SetCVar("predictedHealth", 1)
--##############
local default_roles = {"TANK","DAMAGER","HEALER"}
local default_class = {"WARRIOR", "ROGUE", "PALADIN", "DEATHKNIGHT", "MONK","DEMONHUNTER","SHAMAN","DRUID","HUNTER","MAGE","WARLOCK","PRIEST", "EVOKER"}
local handler = CreateFrame("Button", "RaidFramePlusHandler", UIParent, "SecureHandlerBaseTemplate" )
handler.default_roles  = default_roles
handler.default_class  = default_class
local function SetFrameRef(name, frame, tbl)
handler:SetFrameRef("frame", frame)
if not tbl then handler:Execute(name.."= self:GetAttribute('frameref-frame')") else handler:Execute("tinsert("..name..", self:GetAttribute('frameref-frame'))") end
end
local update = [[
if petheaderchild1:GetParent():IsVisible() then
petheaderchild1:SetAttribute("unit", nil)
end
owner:CallMethod("update_baseSize")
return true, ""
]]
local size = [[
local w = container_buttons[6]:GetWidth()
local h = container_buttons[6]:GetHeight()/2
for i=1, 5 do
container_buttons[i]:SetWidth(w)
container_buttons[i]:SetHeight(h)
end
]]
local f = CreateFrame("Frame", nil, SettingsPanel, "SecureFrameTemplate")
SetFrameRef("SettingsPanel", f)
handler:WrapScript(f, "OnHide", update)
local f = CreateFrame("Frame", nil, EditModeManagerFrame.CloseButton, "SecureFrameTemplate")
SetFrameRef("EditModeManagerFrame", f)
handler:WrapScript(f, "OnHide",update, size)
local container_dummy = CreateFrame("Frame", nil, CompactRaidFrameContainer , "SecureFrameTemplate")
container_dummy:SetPoint("TOPLEFT", CompactRaidFrameContainer, "TOPLEFT")
container_dummy:SetSize(1,1)
CompactRaidFrameContainerBorderFrame:SetParent(container_dummy)
SetFrameRef("container_dummy", container_dummy)
local container_party = CreateFrame("Frame", nil, CompactPartyFrame , "SecureFrameTemplate")
container_party:SetPoint("TOPLEFT", CompactPartyFrame, "TOPLEFT", 2, 0)
container_party:SetSize(1,1)
SetFrameRef("container_party", container_party)
handler:Execute([[
roles = newtable()
class = newtable()
CompactRaidFrameN = 0
CompactPartyFrame = container_party:GetParent()
CompactRaidParent = container_dummy:GetParent()
container_buttons = newtable()
CompactRaidGroups = newtable()
clicks = newtable()
wtable = newtable()
childs = newtable()
orpheline = newtable()
ownedunit = newtable()
unit2roles = newtable()
unit2class = newtable()	
EditModeManagerFrame = EditModeManagerFrame:GetParent():GetParent() 
SettingsPanel = SettingsPanel:GetParent()
]])

local update =[[
if EditModeManagerFrame:IsShown() or SettingsPanel:IsShown() then
FrameFilterOptions:Hide(true)
return
end
local CompactParty = CompactPartyFrame:IsShown()
if CompactParty then
FrameFilterOptions:Hide(true)
elseif CompactRaidParent:IsShown() then
wipe(childs)
CompactRaidParent:GetChildList(childs)
for i=1, #childs do
local frame = childs[i]
if frame ~= container_dummy and not CompactRaidGroups[frame] then   
local name = frame:GetName()
if name then
local kind = name:sub(12, 16)
if kind == "Frame" then
local N = tonumber(name:sub(17, #name))
if N > CompactRaidFrameN then
CompactRaidFrameN=N
tinsert(container_buttons, frame)
end
elseif kind == "Group" then
CompactRaidGroups[frame] = 1
end
end
end
end
for f, _ in next, CompactRaidGroups do
if f:IsShown() then
FrameFilterOptions:Hide(true)
return
end
end
FrameFilterOptions:Show(true)
else
FrameFilterOptions:Hide(true)
return
end
local tik
local tok
if CompactParty then
if showPartyPets then
local group = PlayerInGroup() 
local token = group.."pet"
group = (group == "raid")
for i=1, 5 do
local button = container_buttons[i]
local unit = (group and token..i) or (i<5 and token..i) or "pet"
if UnitExists(unit) then
button:SetAttribute("unit",unit)
button:Show(true)
else
button:Hide(true)
end
end
tik = 1
else
tik = 6
end
tok = 10
else
tik = 11
tok = #container_buttons
end
local player_u
local player_b
local groupheader = groupheader  
if player_position < 7 then
groupheader:SetAttribute("groupFilter", nil)
player_u = groupheader:GetAttribute("frameref-child1"):GetAttribute('unit')
else
groupheader:Hide(true)		
groupheader:SetAttribute("groupFilter", nil)
groupheader:Show(true)
end
wipe(orpheline)
wipe(childs)
for i=tik, tok do
local button = container_buttons[i]
if button:IsVisible() then
button:ClearAllPoints()
local unit = button:GetAttribute("unit")
if unit then
if player_u and player_u == unit then
player_b = button
else
childs[button] = unit
end
else
tinsert(orpheline, button)
end
end
end
local Xoffset = next(childs) or orpheline[1] or player_b
if not Xoffset then
return
end
wipe(unit2roles)
wipe(unit2class)
for i=1, #roles do
local role = roles[i]
groupheader:SetAttribute("roleFilter", role)
for j=1, 40  do
local button = groupheader:GetAttribute("frameref-child"..j)
if button then
local unit = button:GetAttribute('unit')
if unit then
if ( not unit2roles[unit] or role == "MAINTANK" or role == "MAINASSIST" ) then 
unit2roles[unit] = i
end
else
break
end
else
break
end
end
end
groupheader:Hide(true)
groupheader:SetAttribute("roleFilter", nil)
groupheader:Show(true)
for i=1, #class do
groupheader:SetAttribute("groupFilter", class[i])
for j=1, 40  do
local button = groupheader:GetAttribute("frameref-child"..j)
if button then
local unit = button:GetAttribute('unit')
if unit then 
unit2class[unit] = i
else
break
end
else
break
end
end
end
wipe(wtable)
wipe(ownedunit)
local j = 0
for button, unit in next, childs do
local class = unit2class[unit]
local role = unit2roles[unit]
if class and role  then
local i = 0
repeat
i = i+1
local b = wtable[i]
if not b then break end
local u = childs[b]
until role < unit2roles[u] or (role == unit2roles[u] and  class  <= unit2class[u]) 
tinsert(wtable, i, button)
else 	
local n = #unit
if unit:sub(n-5, n) == "target" then
ownedunit[button] = ((unit:sub(n-11, n-6) == "target") and unit:sub(1, n-12)) or unit:sub(1, n-6)
elseif pet_below then
if unit == "pet" then
ownedunit[button] = "player"
else
local a, b = unit:find("pet")
if a then
ownedunit[button] = unit:sub(1, a-1)..unit:sub(b+1)
else	
tinsert(orpheline, button)
end
end
else
tinsert(orpheline, button)
if j < 5 then
j = j+1 
clicks[j]:SetAttribute("unit4", unit)
end
end
end
end
if player_b then
if player_position < 6 and player_position <= #wtable then
tinsert(wtable, player_position, player_b)
else
tinsert(wtable, player_b)
end
childs[player_b] = player_u 
end
for i=1, #orpheline do
tinsert(wtable, orpheline[i])
end
local Yoffset 
local H
local anchor
if CompactParty then
anchor = container_party 
H = 1+CompactPartyFrame:GetHeight()
if showPartyPets and container_buttons[6]:GetWidth()*2 > CompactPartyFrame:GetWidth() then
H = H+H
end
Yoffset = 14
else
anchor = container_dummy
H = 1+CompactRaidParent:GetHeight()
Yoffset = 0
end
local x = 0
local y = Yoffset
Xoffset = Xoffset:GetWidth()
for i=1, #wtable do
local button = wtable[i]
local unit = childs[button]
if i < 6 then
local xtarget = clicks[i]
xtarget:SetAttribute("unit1", unit)
xtarget:SetAttribute("unit2", unit)
xtarget:SetAttribute("unit3", unit)
clicks[i+5]:SetAttribute("unit1", unit)
end
local h = button:GetHeight()
if  y+h> H then
x = x+Xoffset
y = Yoffset
end
button:SetPoint("TOPLEFT", anchor, "TOPLEFT", x, -y)
y = y+h
for b, u in next, ownedunit do
if u == unit then
b:SetPoint("TOPLEFT", anchor,"TOPLEFT", x, -y)
y = y+b:GetHeight()
ownedunit[b] = nil
if pet_below and i < 6 then
clicks[i]:SetAttribute("unit4", b:GetAttribute("unit"))
end
end
end
end
for button in next, ownedunit do
local h = button:GetHeight()
if y+h > H then
x = x+Xoffset
y = Yoffset
end
button:SetPoint("TOPLEFT", anchor, "TOPLEFT", x, -y)
y = y+h
end
]]
handler:Execute("update=[["..update.."]]")
local frame = CreateFrame("Frame", nil, nil, "SecureGroupHeaderTemplate")
frame:SetScript("OnShow", nil)
frame:UnregisterEvent("GROUP_ROSTER_UPDATE")
frame:UnregisterEvent("UNIT_NAME_UPDATE")
frame:SetAttribute("template", "SecureFrameTemplate")
frame:SetAttribute("nameList", UnitName("player")) -- default update
frame:SetAttribute("showRaid", true)
frame:SetAttribute("showParty", true)
frame:SetAttribute("showPlayer", true)
SetFrameRef("groupheader", frame)
frame:Show()
local petheader = CreateFrame("Frame", nil, nil, "SecureGroupPetHeaderTemplate")
petheader:UnregisterEvent("UNIT_NAME_UPDATE")
petheader:SetScript("OnAttributeChanged", nil)
petheader:SetAttribute("template", "SecureFrameTemplate")
petheader:Show()
local petheaderchild1 = petheader:GetAttribute("child1")
SetFrameRef("petheaderchild1", petheaderchild1)
petheader:SetParent(CompactRaidFrameManager)
RegisterAttributeDriver(petheaderchild1, "unit", 1)
handler:WrapScript(petheaderchild1, "OnAttributeChanged", [[if value then owner:Run(update) end]])
handler:WrapScript(container_dummy, "OnShow", [[petheaderchild1:SetAttribute("unit", nil)]])
local onclick = [[
self:SetAttribute("spell1", button)
return "LeftButton"
]]
for i=1, 5 do
local button = CreateFrame("Button", "xtarget"..i, nil, "SecureActionButtonTemplate")
SetFrameRef("clicks", button, true)
button:SetAttribute("typerelease1", "target")
button:SetAttribute("typerelease2", "focus")	
button:SetAttribute("typerelease3", "assist")
button:SetAttribute("typerelease4", "target")
button:SetAttribute("type1", "target")
button:SetAttribute("type2", "focus")
button:SetAttribute("type3", "assist")
button:SetAttribute("type4", "target")
button:SetAttribute("pressAndHoldAction", true)	
button:RegisterForClicks("LeftButtonDown", "RightButtonDown" , "MiddleButtonDown" )
end
for i=1, 5 do
local button = CreateFrame("Button", "xcast"..i, nil, "SecureActionButtonTemplate")
SetFrameRef("clicks", button, true)
button:SetAttribute("typerelease1", "spell")	
button:SetAttribute("pressAndHoldAction", true)	
button:RegisterForClicks("LeftButtonDown")
handler:WrapScript(button, "OnClick", onclick)
end
CompactRaidFrameManagerBg:SetDrawLayer("BACKGROUND")
CompactRaidFrameManagerToggleButton:SetFrameLevel(3)
local dummy = CreateFrame("Button", nil, CompactRaidFrameManager, "SecureActionButtonTemplate")
dummy:SetSize(16,64)
dummy:SetPoint("RIGHT",CompactRaidFrameManager , "RIGHT", -9,0)
dummy:SetFrameLevel(4)
dummy:RegisterForClicks("AnyUp")
dummy:SetAttribute("clickbutton1", CompactRaidFrameManagerToggleButton)
dummy:SetAttribute("typerelease1", "click")	
dummy:SetAttribute("pressAndHoldAction", true)	
dummy:SetScript("OnMouseUp", function(self,...)
local button = CompactRaidFrameManagerToggleButton
local script = button:GetScript("OnMouseUp")
script(button)
end)
dummy:SetScript("OnMouseDown", function()
local button = CompactRaidFrameManagerToggleButton
local script = button:GetScript("OnMouseDown")
script(button)
end)
local function f(self, _,button)
if InCombatLockdown() then
print(ERR_NOT_IN_COMBAT)
else
dummy.f = nil
dummy:SetAttribute("typerelease2", nil)	
LoadAddOn("RaidFramesPlusConfig")
handler:SetFrameRef("RaidFramesPlusConfig", RaidFramesPlusConfig)
handler:WrapScript(self, "OnClick", [[
if button == 'RightButton' then
local f = owner:GetAttribute('frameref-RaidFramesPlusConfig')
if f:IsShown() then f:Hide(true) else f:Show(true) end
end
]])
f = nil
end
end
dummy.f = f
dummy:SetAttribute("typerelease2", "f")	
local options = {
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterRoleTank,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterRoleHealer,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterRoleDamager,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup1,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup2,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup3,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup4,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup5,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup6,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup7,
CompactRaidFrameManagerDisplayFrameFilterOptionsFilterGroup8,
}
options[3]:SetHitRectInsets(0,4, 0,0)
local function highlight_show(self)
if self:GetAttribute("clickbutton"):IsEnabled() == true then
self:GetHighlightTexture():Show()
else
self:GetHighlightTexture():Hide()
end
end
local anchor
local parent = CompactRaidFrameManager
for i=1, #options  do
local button = options[i]
local dummy = CreateFrame("Button", nil, parent, "SecureActionButtonTemplate")
dummy:RegisterForClicks("LeftButtonDown")
dummy:SetSize(button:GetSize())
dummy:SetScript("OnEnter", highlight_show)
dummy:SetHighlightTexture(button.selectedHighlight)
--dummy:SetNormalTexture("Interface\\BUTTONS\\WHITE8X8")
--dummy:SetAlpha(0.5)
if i == 1 then
--<Size x="58" y="24"/>
SetFrameRef("FrameFilterOptions",dummy)
parent = dummy
dummy:SetPoint("TOPLEFT", CompactRaidFrameManager, "TOPLEFT", 9, -25)
elseif i <4 then
dummy:SetPoint("LEFT", anchor, "RIGHT")
if i == 3 then
dummy:SetWidth(button:GetWidth()-4)
end
elseif i == 4 then
--<Size x="41" y="24"/>
dummy:SetPoint("TOPLEFT", anchor, "BOTTOMLEFT", -2*58, 0)
elseif i < 8 then
dummy:SetPoint("LEFT", anchor, "RIGHT", 2, 0)
elseif i == 8 then
dummy:SetPoint("TOPLEFT", anchor, "BOTTOMLEFT", -3*(41+2), 0)
else
dummy:SetPoint("LEFT", anchor, "RIGHT", 2, 0)
end
anchor = dummy
dummy:SetAttribute("type1", "click")
dummy:SetAttribute("clickbutton1", button)
end
anchor = nil
parent = nil
wipe(options)
local function GetProfile()
if CompactPartyFrame:IsShown() then
return 1
elseif CompactRaidFrameContainer:IsShown() then
return 2
else
return nil
end
end
handler.GetProfile = GetProfile
local baseSize
local function update_debuffs(frame)
if baseSize and frame.debuffFrames and frame.maxDebuffs > 0 then
for i=1, #frame.debuffFrames do
local aura = frame.debuffFrames[i]
aura:SetSize(baseSize,baseSize)
end		
end
end
local function update_buffs(frame)
if baseSize and frame.buffFrames and frame.maxBuffs > 0 then
for i=1, #frame.buffFrames do
local aura = frame.buffFrames[i]
aura:SetSize(baseSize,baseSize)
end		
end
end
local function hook()
hooksecurefunc("CompactUnitFrame_UpdateAuras", update_debuffs)
end
local function update_baseSize(_, value)
if not value then
local profile = GetProfile()
if profile then
local t = RaidFramesPlus[profile]
if t then 
value = t.aura_size
else
baseSize = nil
return
end
else
baseSize = nil
return
end
end
if value == 0 or not value then
baseSize = nil                      
else
local frameHeight  = EditModeManagerFrame:GetRaidFrameHeight(CompactPartyFrame:IsShown() and 4 or 5) --memory??
local options = DefaultCompactUnitFrameSetupOptions
local powerBarHeight = 8
local powerBarUsedHeight = options.displayPowerBar and powerBarHeight or 0
local componentScale = (frameHeight-4-powerBarUsedHeight)/30  
baseSize = (value+10)*componentScale
CompactRaidFrameContainer:ApplyToFrames("normal", update_debuffs)
CompactRaidFrameContainer:ApplyToFrames("normal", update_buffs)
if hook then hook() hook = nil end
end
end
handler.update_baseSize = update_baseSize
local function toggle_name(frame)
if frame:IsForbidden() or not frame:GetName() then return end
local name = frame.name
if not name then return end
local profile = GetProfile()
if not profile then return end
local t = RaidFramesPlus[profile]
if t then name:SetShown(not t.hide_name) end
end
hooksecurefunc("CompactUnitFrame_UpdateName", toggle_name)
handler.toggle_name = toggle_name
local function toggle_role(frame)
if frame:IsForbidden() or not frame:GetName() then return end
local roleIcon = frame.roleIcon
if not roleIcon then return end
local profile = GetProfile()
if not profile then return end
local t = RaidFramesPlus[profile]
if t then
if t.hide_role then
roleIcon:SetShown(false)
roleIcon:SetWidth(0.001)
else
roleIcon:SetShown(true)
roleIcon:SetWidth(roleIcon:GetHeight())
end
end
end
hooksecurefunc("CompactUnitFrame_UpdateRoleIcon", toggle_role)
handler.toggle_role = toggle_role
local showPartyPetsB = CreateFrame("Button", nil, CompactRaidFrameManager, "SecureFrameTemplate, CRFManagerFilterButtonTemplate")
showPartyPetsB:Hide()
CompactPartyFrame:HookScript("OnShow", update_baseSize)
CompactRaidFrameContainer:HookScript("OnShow", update_baseSize)
handler:RegisterEvent("PLAYER_LOGIN")
handler:SetScript("OnEvent", function(_, event)
RaidFramesPlus = RaidFramesPlus or {}
local t = RaidFramesPlus
local class = t.class or default_class
local roles = t.relos or default_roles
local pp = t.pp or 7
local pet_below = t.pet_below or false
local showPartyPets = t.showPartyPets or false
for i=1, #class do handler:Execute('class['..i.."]='"..class[i].."'") end
for i=1, #roles do handler:Execute('roles['..i.."]='"..roles[i].."'") end
handler:Execute("player_position = "..tostring(pp))
handler:Execute("pet_below = "..tostring(pet_below))
handler:Execute("showPartyPets = "..tostring(showPartyPets))
showPartyPetsB.selectedHighlight:SetShown(showPartyPets)
handler:Execute(size)
update_baseSize(nil, t.aura_size)
end)
local function tweak(frame)
if frame:IsForbidden() or not frame:GetName() then return end
if frame.background then frame.background:SetIgnoreParentAlpha(false) end
frame:RegisterForClicks("AnyDown")
end
hooksecurefunc("CompactUnitFrame_OnLoad",tweak)
tweak(CompactPartyFrameMember1)
tweak(CompactPartyFrameMember2)
tweak(CompactPartyFrameMember3)
tweak(CompactPartyFrameMember4)
tweak(CompactPartyFrameMember5)
--CompactUnitFrame_SetUpFrame
hooksecurefunc("DefaultCompactUnitFrameSetup", function(frame)
if frame:IsForbidden() or not frame:GetName() then return end
if frame.debuffFrames and frame.maxDebuffs > 0 then
for i=1, #frame.debuffFrames do
frame.debuffFrames[i]:EnableMouse(false)
end
end
if frame.buffFrames and frame.maxBuffs > 0 then
for i=1, #frame.buffFrames do
local aura = frame.buffFrames[i]
aura.icon:SetTexCoord(0.07, 0.93, 0.07, 0.93)
aura:EnableMouse(false)
if baseSize then
aura:SetSize(baseSize,baseSize)
end
end
end
end)
local function onhealth(self)
self:SetValue(UnitHealth(self.unit))
end
local function updatemax(self, unit)
local h = self.healthBar
h:SetMinMaxValues(0, UnitHealthMax(unit))
onhealth(h)
end
local function onattributechanged(self, name, unit)
if unit ~= self.unit then
self.unit = unit 
self.healthBar.unit = unit
if self:IsShown() then
self:UnregisterEvent("UNIT_MAXHEALTH")
self:UnregisterEvent("UNIT_HEALTH")
self:RegisterUnitEvent("UNIT_MAXHEALTH", unit)
self.healthBar:RegisterUnitEvent("UNIT_HEALTH", unit)
end
end
if self:IsShown() then
updatemax(self, unit)
self.name:SetText(GetUnitName(unit, false))
end
end
local function onshow(self)
local unit = self.unit
updatemax(self, unit)
self.name:SetText(GetUnitName(unit, false))
self:RegisterEvent("PLAYER_TARGET_CHANGED")
self:RegisterEvent("PLAYER_ENTERING_WORLD")
self:RegisterUnitEvent("UNIT_MAXHEALTH", unit)
self.healthBar:RegisterUnitEvent("UNIT_HEALTH", unit)	
end
local function onhide(self)
self:UnregisterEvent("PLAYER_TARGET_CHANGED")
self:UnregisterEvent("PLAYER_ENTERING_WORLD")
self:UnregisterEvent("UNIT_MAXHEALTH")
self:UnregisterEvent("UNIT_HEALTH")
end
local function onevent(self, event)
if event == "PLAYER_TARGET_CHANGED" then
if UnitIsUnit( self.unit, "target") then
self.selectionHighlight:Show()
else
self.selectionHighlight:Hide()
end
else
updatemax(self,  self.unit)
end
end
for i=1, 5 do
local f = CreateFrame("Button", nil, CompactPartyFrame, "SecureActionButtonTemplate")
f:Hide()
f:RegisterForClicks("AnyDown");
f:SetAttribute("type1", "target")
f:SetScript("OnShow", onshow)
f:SetScript("OnHide", onhide)
f:SetScript("OnEvent", onevent)
SetFrameRef("container_buttons", f, true)
f:SetScript("OnAttributeChanged", onattributechanged)
--	f:SetSize(EditModeManagerFrame:GetRaidFrameWidth(true),  EditModeManagerFrame:GetRaidFrameHeight(true))
local text =  f:CreateTexture(nil, "BACKGROUND")
text:SetTexture("Interface\\RaidFrame\\Raid-Bar-Hp-Bg")
text:SetTexCoord(0, 1, 0, 0.53125)
text:SetAllPoints(f)
local h = CreateFrame("StatusBar", nil, f)		
h:SetPoint("TOPLEFT", f, "TOPLEFT", 1, -1)
h:SetPoint("BOTTOMRIGHT", f, "BOTTOMRIGHT", -1, 1)
h:SetStatusBarTexture("Interface\\RaidFrame\\Raid-Bar-Hp-Fill")
h:GetStatusBarTexture():SetDrawLayer("BORDER")
h:SetScript("OnEvent", onhealth)
h:SetStatusBarColor(0.0, 1.0, 0.0)
f.healthBar = h
local text = h:CreateTexture(nil, "OVERLAY")
text:SetTexture("Interface\\RaidFrame\\Raid-FrameHighlights")
text:SetTexCoord(0.00781250, 0.55468750, 0.28906250, 0.55468750)
text:SetAllPoints(f)
text:Hide()
f.selectionHighlight = text
local name = h:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
name:SetPoint("LEFT", 4, 1);
f.name = name
end
SetFrameRef("container_buttons", CompactPartyFrameMember1, true)
SetFrameRef("container_buttons", CompactPartyFrameMember2, true)
SetFrameRef("container_buttons", CompactPartyFrameMember3, true)
SetFrameRef("container_buttons", CompactPartyFrameMember4, true)
SetFrameRef("container_buttons", CompactPartyFrameMember5, true)
hooksecurefunc("CompactRaidFrameManager_UpdateOptionsFlowContainer", function()
if not InCombatLockdown() then
if UnitIsGroupLeader("player") then
showPartyPetsB:SetPoint("BOTTOMRIGHT", CompactRaidFrameManager, "BOTTOMRIGHT", -20, 35)
else
showPartyPetsB:SetPoint("BOTTOMRIGHT", CompactRaidFrameManager, "BOTTOMRIGHT", -20, 11)
end
end
end)
showPartyPetsB:SetSize(85, 20)
showPartyPetsB:SetText(PETS)
showPartyPetsB:SetScript("OnClick", function(self)	
local value = not RaidFramesPlus.showPartyPets
RaidFramesPlus.showPartyPets = value
self.selectedHighlight:SetShown(value)
end)
handler:WrapScript(showPartyPetsB, "OnClick", [[
showPartyPets = not showPartyPets 
if not showPartyPets then
container_buttons[1]:Hide(true)
container_buttons[2]:Hide(true)
container_buttons[3]:Hide(true)
container_buttons[4]:Hide(true)
container_buttons[5]:Hide(true)
end
owner:Run(update)
]])
SetFrameRef("showPartyPetsB", showPartyPetsB)
handler:WrapScript(container_party, "OnShow", [[showPartyPetsB:Show(true)]])
handler:WrapScript(container_party, "OnHide", [[showPartyPetsB:Hide(true)]])
SetFrameRef = nil
